Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class ShareableAdditionalArrangeBase

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableAdditionalArrangeBase

All Implemented Interfaces:
  AdditionalArrangeMethod, Manageable, Shareable

Direct Known Subclasses:
  DartThrowing, Kachelung, Voronoi_Lloyd

    public abstract class ShareableAdditionalArrangeBase

extends ShareableBase
implements AdditionalArrangeMethod

Field Summary
`protected float[][]` | `densityField`
`protected static int` | `MAX_NUMBER`
`protected static int` | `maxF`
`protected float` | `maxX`
`protected float` | `maxY`
`protected raskob.geometry.PointArrayList` | `pointList`
`protected static float` | `prozent`
`protected int` | `superNumber`

Constructor Summary
`ShareableAdditionalArrangeBase()`

Method Summary
`abstract void` | `calculate()`
`protected boolean` | `checkDensityField(double xi, double yi)`
`raskob.geometry.PointArrayList` | `setAll(float maxX, float maxY, float[][] densityField)`
`void` | `setNumber(int number)`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### densityField

    protected float[][] densityField

### MAX_NUMBER

    protected static final int MAX_NUMBER

See Also:
  Constant Field Values

### maxF

    protected static final int maxF

See Also:
  Constant Field Values

### maxX

    protected float maxX

### maxY

    protected float maxY

### pointList

    protected raskob.geometry.PointArrayList pointList

### prozent

    protected static final float prozent

See Also:
  Constant Field Values

### superNumber

    protected int superNumber

Constructor Detail

### ShareableAdditionalArrangeBase

    public ShareableAdditionalArrangeBase()

Method Detail

### calculate

    public abstract void calculate()

### checkDensityField

    protected boolean checkDensityField(double xi,
                                        double yi)

### setAll

    public raskob.geometry.PointArrayList setAll(float maxX,
                                                 float maxY,
                                                 float[][] densityField)

  Specified by:
    `setAll` in interface `AdditionalArrangeMethod`

### setNumber

    public void setNumber(int number)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD